apiVersion: traefik.containo.us/v1alpha1
kind: Middleware
metadata:
  name: m1730-strip-prefix
  namespace: works
spec:
  stripPrefix:
    prefixes:
      - /M1730-generator

---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: m1730-generator
  namespace: works
spec:
  entryPoints:
    - web
  routes:
    - match: Host(`works.baumann.gr`) && PathPrefix(`/M1730-generator`)
      kind: Rule
      middlewares:
        - name: m1730-strip-prefix
      services:
        - name: m1730-generator
          port: 80
